apiVersion: v1
kind: Secret
metadata:
  name: {{ template "nms.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "nms.name" . }}
    helm.sh/chart: {{ include "nms.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
type: Opaque
data:
  {{- if .Values.nms.env.NMS_AUTH_PASSWORD }}
  nms-auth-password: {{ .Values.nms.env.NMS_AUTH_PASSWORD | b64enc | quote }}
  {{- else }}
  nms-auth-password: {{ randAlphaNum 10 | b64enc | quote }}
  {{- end }}
  {{- if .Values.mongodb.mongodbRootPassword }}
  mongodb-root-password:  {{ .Values.mongodb.mongodbRootPassword | b64enc | quote }}
  {{- else }}
  mongodb-root-password: {{ randAlphaNum 10 | b64enc | quote }}
  {{- end }}
  {{- if .Values.mongodb.mongodbPassword }}
  mongodb-password:  {{ .Values.mongodb.mongodbPassword | b64enc | quote }}
  {{- else }}
  mongodb-password: {{ randAlphaNum 10 | b64enc | quote }}
  {{- end }}
  {{- if .Values.nms.secrets.certman_truststore }}
  {{- $path := .Values.nms.secrets.certman_truststore }}
  nms-certman-truststore.jks:  {{ .Files.Get $path | b64enc }}
  {{- end }}
  {{- if .Values.nms.secrets.tls_cert }}
  {{- $path := .Values.nms.secrets.tls_cert }}
  nms-tls.cert:  {{ .Files.Get $path | b64enc }}
  {{- end }}
  {{- if .Values.nms.secrets.tls_key }}
  {{- $path := .Values.nms.secrets.tls_key }}
  nms-tls.key:  {{ .Files.Get $path | b64enc }}
  {{- end }}